Skip to content

Policy Confirmation API

| View as Markdown

This API will confirm that the policy has been issued by the insurance company. We must pass policy id, amount, provider id, ses code, order id, policy name, customer details, status, category, and policy certificate in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/insurance/api/policy-confirmation
FieldTypeDescription
content-typestringValue : application/x-www-form-urlencoded (required)
processor-keystringAuthentication key for airay. Eg 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps (length 20, required)
checksumstringSha256 of value of hash(‘sha256’,’(orderid)(affiliateid)(ampunt)(policytype)(companyid), processor-key) (required)
FieldTypeRequiredDescription
policy_idNumericYesInsurance policy ID
amountNumericYesPremium amount that will be deducted by the insurance company (length 10,2)
provider_idStringYesInsurance provider ID
ses_codeStringYesEncoded secret key provided by Airpay during order creation
order_idStringYesReference transaction ID shared by affiliate while initiating the transaction (fixed length 20)
policy_nameStringYesPolicy name
customer_mobile_numberNumericYesCustomer mobile number
customer_nameStringYesCustomer name
customer_email_idStringYesCustomer email ID
statusStringYesStatus
catStringNoInsurance category. Redirects to the insurer landing page of that category
policy_certificateStringYesPolicy certificate reference associated with the transaction
curl --location 'https://kraken.airpay.co.in/airpay/ms/insurance/api/policy-confirmation' \
--header 'content_type: application/x-www-form-urlencoded' \
--header 'processor-key: xvIvkuxKczCf8kapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==' \
--header 'checksum: 26f4d971d9c811b5a6322f97411edbebb5d353580aea15e3ea8a41d6da20cf3a' \
--header 'Cookie: _csrf=103936bf306d2098165c59d08c9288e68459dcac68bba4d83cdb7c0a17163ea6a%3A2%3A%7Bi%3A0%3Bs%3A5%3A%22_csrf%22%3Bi%3A1%3Bs%3A32%3A%22XORQcv-kviZ_teErDmi5drwuAhdUQpZE%22%3B%7D' \
--data-raw '{
"policy_id": "2317",
"provider_id": "24",
"ses_code": "e9699473674b2597f4965d9a2f0y2fa06f5be6cdf6dbc06ac16f322e49366b8bf",
"amount": "1.00",
"order_id": "MAWEB169941644078436",
"status": "1",
"cat": "Health",
"policy_certificate": "UEsDBZQABgtIAAAAIQAHnKgpxQEAAOgJAAATAAgCW0NvbnRl"
}'
FieldTypeDescription
statusNumericapi status [1- success,0-fail] (length 1)
dataJsonarraydata provided will be with orderid
messagestringmessage (length 50)
{
"status": "1",
"data": [],
"message": "success"
}
{
"status": "0",
"data": [],
"message": "Duplicate Order"
}